
The Hammer - Bug #143

Method Extract: top comment, display database fields as "db"

05/31/2019 07:32 PM - Wil van Antwerpen

Status: Closed Start date: 05/31/2019

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Right now if the method extract code encounters a variable it doesn't recognize then it will print it as type ??

It would be nice if we check against the database and print "db" perhaps even "db.ASC(9)" or something.

History

#1 - 06/02/2019 09:49 PM - Wil van Antwerpen

- Status changed from New to Resolved

By default it will now not print the database fields in the top comment.

There is however a checkbox you can check, called "Show database fields" that will display the database fields in the comments if you check it. It

does not show type or length, just "db".

They way these are identified by the code is by enumerating the .fd file.

#2 - 06/03/2019 04:38 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
